import { Admin, Resource } from "react-admin";
import dataProvider from "./dataProvider";
import { SectionCreate, SectionEdit, SectionsList } from "./components/Section";
import { MessagesList, MessageCreate, MessageEdit } from "./components/Message";
import { RolesList, RoleCreate, RoleEdit } from "./components/Role";
import { ThreadsList, ThreadCreate, ThreadEdit } from "./components/Thread";
import { UsersList, UserCreate, UserEdit } from "./components/User";

function App() {
  return (
    <Admin dataProvider={dataProvider}>
      <Resource
        name="roles"
        list={<RolesList />}
        create={<RoleCreate />}
        edit={<RoleEdit />}
      />
      <Resource
        name="users"
        list={<UsersList />}
        create={<UserCreate />}
        edit={<UserEdit />}
      />
      <Resource
        name="sections"
        list={<SectionsList />}
        create={<SectionCreate />}
        edit={<SectionEdit />}
      />
      <Resource
        name="threads"
        list={<ThreadsList />}
        create={<ThreadCreate />}
        edit={<ThreadEdit />}
      />
      <Resource
        name="messages"
        list={<MessagesList />}
        create={<MessageCreate />}
        edit={<MessageEdit />}
      />
    </Admin>
  );
}

export default App;
