import {
  Create,
  ReferenceInput,
  SelectInput,
  SimpleForm,
  TextInput,
  required
} from "react-admin";

function MessageCreate() {
  return (
    <Create>
      <SimpleForm>
        <TextInput source="text" fullWidth multiline />
        <ReferenceInput source="thread_id" reference="threads">
          <SelectInput optionText="name" fullWidth validate={required()} />
        </ReferenceInput>
        <ReferenceInput source="user_id" reference="users">
          <SelectInput optionText="nickname" fullWidth validate={required()} />
        </ReferenceInput>
      </SimpleForm>
    </Create>
  );
}

export default MessageCreate;
