import {
  Edit,
  ReferenceInput,
  SelectInput,
  SimpleForm,
  TextInput,
  required,
} from "react-admin";
import Title from "../Title";

function MessageEdit() {
  return (
    <Edit title={<Title prefixText="Сообщение" />} actions={false}>
      <SimpleForm>
        <TextInput source="text" fullWidth multiline />
        <ReferenceInput source="thread_id" reference="threads">
          <SelectInput optionText="name" fullWidth validate={required()} />
        </ReferenceInput>
        <ReferenceInput source="user_id" reference="users">
          <SelectInput optionText="nickname" fullWidth validate={required()} />
        </ReferenceInput>
      </SimpleForm>
    </Edit>
  );
}

export default MessageEdit;
