import { Create, SelectInput, SimpleForm, TextInput } from "react-admin";
import { useFilteredSectionsList } from "../../hooks/useFilteredSectionsList";

function SectionCreate() {
  const { filteredSectionsList } = useFilteredSectionsList();

  return (
    <Create>
      <SimpleForm>
        <TextInput source="name" fullWidth />
        <SelectInput source="root_section_id" fullWidth choices={filteredSectionsList} />
      </SimpleForm>
    </Create>
  );
}

export default SectionCreate;
