import {
  Edit,
  SelectInput,
  SimpleForm,
  TextInput,
  useGetRecordId
} from "react-admin";
import Title from "../Title";
import { useFilteredSectionsList } from "../../hooks/useFilteredSectionsList";

function SectionEdit() {
  const recordId = useGetRecordId();
  const { filteredSectionsList } = useFilteredSectionsList(`id=${recordId}`);

  return (
    <Edit title={<Title prefixText="Роль" />} actions={false}>
      <SimpleForm>
        <TextInput source="name" fullWidth />
        <SelectInput source="root_section_id" fullWidth choices={filteredSectionsList} />
      </SimpleForm>
    </Edit>
  );
}

export default SectionEdit;
