import {
  Create,
  ReferenceInput,
  SelectInput,
  SimpleForm,
  TextInput,
  required
} from "react-admin";
import { useFilteredSectionsList } from "../../hooks/useFilteredSectionsList";

function ThreadCreate() {
  const { filteredSectionsList } = useFilteredSectionsList(`onlyEndSections=true`);

  return (
    <Create>
      <SimpleForm>
        <TextInput source="name" fullWidth />
        <SelectInput source="section_id" fullWidth choices={filteredSectionsList} />
        <ReferenceInput source="creator_id" reference="users">
          <SelectInput optionText="nickname" fullWidth validate={required()} />
        </ReferenceInput>
      </SimpleForm>
    </Create>
  );
}

export default ThreadCreate;
