import {
  Edit,
  ReferenceInput,
  SelectInput,
  SimpleForm,
  TextInput,
  required
} from "react-admin";
import { useFilteredSectionsList } from "../../hooks/useFilteredSectionsList";

function ThreadEdit() {
  const { filteredSectionsList } = useFilteredSectionsList(`onlyEndSections=true`);

  return (
    <Edit actions={false}>
      <SimpleForm>
        <TextInput source="name" fullWidth />
        <SelectInput source="section_id" fullWidth choices={filteredSectionsList} />
        <ReferenceInput source="creator_id" reference="users">
          <SelectInput optionText="nickname" fullWidth validate={required()} />
        </ReferenceInput>
      </SimpleForm>
    </Edit>
  );
}

export default ThreadEdit;
