import {
  Create,
  PasswordInput,
  ReferenceInput,
  SelectInput,
  SimpleForm,
  TextInput,
  required,
} from "react-admin";

function UserCreate() {
  return (
    <Create>
      <SimpleForm>
        <TextInput source="nickname" fullWidth />
        <TextInput source="email" fullWidth />
        <TextInput source="avatar" fullWidth />
        <ReferenceInput source="role_id" reference="roles">
          <SelectInput optionText="name" fullWidth validate={required()} />
        </ReferenceInput>
        <PasswordInput source="password" fullWidth />
      </SimpleForm>
    </Create>
  );
}

export default UserCreate;
