import {
  Edit,
  PasswordInput,
  ReferenceInput,
  SelectInput,
  SimpleForm,
  TextInput,
  required,
} from "react-admin";
import Title from "../Title";

function UserEdit() {
  return (
    <Edit title={<Title prefixText="Пользователь" />} actions={false}>
      <SimpleForm>
          <TextInput source="nickname" fullWidth />
          <TextInput source="email" fullWidth />
          <TextInput source="avatar" fullWidth />
          <ReferenceInput source="role_id" reference="roles">
            <SelectInput optionText="name" fullWidth validate={required()} />
          </ReferenceInput>
          <PasswordInput source="password" fullWidth />
      </SimpleForm>
    </Edit>
  );
}

export default UserEdit;
