import { useEffect, useState } from "react";
import { ISection } from "../components/Section/section.type";
import { getSectionsFilteredList } from "../api/get-sections-filtered-list";

export const useFilteredSectionsList = (queryParams?: string) => {
  const [filteredSectionsList, setFilteredSectionsList] = useState<ISection[]>([]);

  useEffect(() => {
    (async () => {
      const response = await getSectionsFilteredList(queryParams);
      setFilteredSectionsList(response.data);
    })();
  }, []);

  return { filteredSectionsList };
}