import { Router } from "express";
import MessageController from "../../controllers/message/message.controller";

const messageRouter = Router();

messageRouter.post("/", MessageController.create);
messageRouter.get("/", MessageController.getAll);
messageRouter.get("/get-many", MessageController.getMany);
messageRouter.get("/:id", MessageController.getById);
messageRouter.put("/:id", MessageController.update);
messageRouter.delete("/delete-many", MessageController.deleteMany);
messageRouter.delete("/:id", MessageController.delete);

export default messageRouter;
