import { Router } from "express";
import UserController from "../../controllers/user/user.controller";

const userRouter = Router();

userRouter.post("/", UserController.create);
userRouter.get("/", UserController.getAll);
userRouter.get("/get-many", UserController.getMany);
userRouter.get("/:id", UserController.getById);
userRouter.put("/:id", UserController.update);
userRouter.delete("/delete-many", UserController.deleteMany);
userRouter.delete("/:id", UserController.delete);

export default userRouter;
