import { faker } from "@faker-js/faker";
import Message from "../../models/message.model";
import { getRandomNumber } from "../../helpers/get-random-number.helper";
import { sequelize } from "../../db";
import type { IMessageDto } from "../../controllers/message/message.dto";

export async function seedMessages(
  length: number,
  threadsLength: number,
  usersLength: number
) {
  if (length <= 0 || threadsLength <= 0 || usersLength <= 0) return;

  try {
    for (let i = 0; i < length; i++) {
      let startQueryString = `INSERT INTO messages (text, user_id, thread_id) VALUES `;
      const text = faker.lorem.words({ min: 3, max: 7 });
      const user_id = getRandomNumber(41, 45);
      const thread_id = getRandomNumber(870, 876);
      startQueryString += `('${text}', ${user_id}, ${thread_id})`;
      await sequelize.query(`${startQueryString};`);
    }

    console.log("Messages seeded successfully!");
  } catch (error) {
    console.log("Error seeding messages: ", error);
  }
}
