import { faker } from "@faker-js/faker";
import { getRandomNumber } from "../../helpers/get-random-number.helper";
import { sequelize } from "../../db";

export async function seedSections(length: number) {
  if (length <= 0) return;

  try {
    for (let i = 0; i < 10; i++) {
      let startQueryString = `INSERT INTO sections (name, root_section_id) VALUES `;
      for (let j = 0; j < length / 10; j++) {
        const name = faker.lorem.words({ min: 3, max: 7 });
        const root_section_id =
          j * i < length / 2 ? "NULL" : getRandomNumber(1, length / 2);

        if (j !== length / 10 - 1)
          startQueryString += `('${name}', ${root_section_id}), `;
        else startQueryString += `('${name}', ${root_section_id})`;
      }

      await sequelize.query(`${startQueryString};`);
    }
    console.log("Sections seeded successfully!");
  } catch (error) {
    console.log("Error seeding sections: ", error);
  }
}
