import { faker } from "@faker-js/faker";
import { getRandomNumber } from "../../helpers/get-random-number.helper";
import { sequelize } from "../../db";

export async function seedThreads(
  length: number,
  usersLength: number,
  allSectionsLength: number
) {
  if (length <= 0 || usersLength <= 0 || allSectionsLength <= 0) return;

  try {
    for (let i = 0; i < length; i++) {
      let startQueryString = `INSERT INTO threads (name, creator_id, section_id) VALUES `;
      const name = faker.lorem.words({ min: 3, max: 7 });
      const creator_id = getRandomNumber(1, usersLength);
      const section_id = getRandomNumber(allSectionsLength / 2 + 1, allSectionsLength);
      startQueryString += `('${name}', ${creator_id}, ${section_id})`;
      await sequelize.query(`${startQueryString};`);
    }
    console.log("Threads seeded successfully!");
  } catch (error) {
    console.log("Error seeding threads: ", error);
  }
}
