import { faker } from "@faker-js/faker";
import { getRandomNumber } from "../../helpers/get-random-number.helper";
import { sequelize } from "../../db";

export async function seedUsers(length: number, rolesLength: number) {
  if (length <= 0 || rolesLength <= 0) return;

  try {
    for (let i = 0; i < 10; i++) {
      let startQueryString = `INSERT INTO users (nickname, avatar, email, password, role_id) VALUES `;
      for (let j = 0; j < length / 10; j++) {
        const nickname =
          faker.person.firstName() + faker.person.jobArea() + faker.person.jobTitle();
        const avatar = faker.system.filePath();
        const email = faker.internet.email();
        const password = faker.internet.password();
        const role_id = getRandomNumber(1, rolesLength);
        if (j !== length / 10 - 1)
          startQueryString += `('${nickname}', '${avatar}', '${email}', '${password}', '${role_id}'), `;
        else
          startQueryString += `('${nickname}', '${avatar}', '${email}', '${password}', '${role_id}')`;
      }

      await sequelize.query(`${startQueryString};`);
    }

    console.log("Users seeded successfully!");
  } catch (error) {
    console.log("Error seeding users: ", error);
  }
}
